aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBen Pfaff <blp@nicira.com>2012-07-20 13:15:36 -0700
committerBen Pfaff <blp@nicira.com>2012-07-20 22:30:14 -0700
commit903c82fa6ef6618f041d9b62996570028385850c (patch)
treec3da1fb1e7d9fb6e43199388ff42fedf662b2c7d
parent3d52c4850f2b8755562c45db18be3ecf067aaf72 (diff)
debian: Remove controller keys on openvswitch-controller package purge.
A Debian package is expected to remove all its configuration files (which includes all files in /etc) when it is purged, but the openvswitch-controller package wasn't doing that. This fixes the problem. Debian bug #682187. CC: 682187@bugs.debian.org Reported-by: Andreas Beckmann <debian@abeckmann.de> Signed-off-by: Ben Pfaff <blp@nicira.com>
-rw-r--r--debian/automake.mk1
-rwxr-xr-xdebian/openvswitch-controller.postrm44
2 files changed, 45 insertions, 0 deletions
diff --git a/debian/automake.mk b/debian/automake.mk
index 4425750d..78cf1d70 100644
--- a/debian/automake.mk
+++ b/debian/automake.mk
@@ -21,6 +21,7 @@ EXTRA_DIST += \
debian/openvswitch-controller.install \
debian/openvswitch-controller.manpages \
debian/openvswitch-controller.postinst \
+ debian/openvswitch-controller.postrm \
debian/openvswitch-datapath-module-_KVERS_.postinst.modules.in \
debian/openvswitch-datapath-dkms.postinst \
debian/openvswitch-datapath-dkms.prerm \
diff --git a/debian/openvswitch-controller.postrm b/debian/openvswitch-controller.postrm
new file mode 100755
index 00000000..42cb523f
--- /dev/null
+++ b/debian/openvswitch-controller.postrm
@@ -0,0 +1,44 @@
+#!/bin/sh
+# postrm script for openvswitch-controller
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postrm> `remove'
+# * <postrm> `purge'
+# * <old-postrm> `upgrade' <new-version>
+# * <new-postrm> `failed-upgrade' <old-version>
+# * <new-postrm> `abort-install'
+# * <new-postrm> `abort-install' <old-version>
+# * <new-postrm> `abort-upgrade' <old-version>
+# * <disappearer's-postrm> `disappear' <overwriter>
+# <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ purge)
+ if cd /etc/openvswitch-controller; then
+ rm -f cacert.pem cert.pem privkey.pem req.pem
+ rm -f tmp-privkey.pem tmp-cert.pem tmp-req.pem
+ fi
+ ;;
+
+ remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0